匿名用户 提问于 2015-12-10

一直都在用Linuxeye的脚本,谢谢。
当然现在换用OneinStack了,
请教个问题,我机器上已经用你们的脚本安装好了,是过去的旧版本,现在想用php7的,我知道跨版本升级会有问题,在不重装VPS系统,推倒重来的情况(已有数据),是不是可以通过 uninstall.sh 脚本卸载后,然后再重新安装install.sh就可以了?再恢复数据库存就可以了?

1 答案

发布
管理员 2015-12-11

跨大版本升级需要考虑程序兼容性,php7剔除了一些函数,具体请看官网:http://www.php.net
可以通过卸载再安装方式,也可以通过
保留options.conf,删除oneinstack目录,下载最新oneinstack安装包,覆盖options.conf
重新安装一个组件即可,参考:http://oneinstack.com/question/oneinstack-downgrade-if-php-version/
 
 

#1

请登录或者 注册 来提交答案